<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.poifs.crypt (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.poifs.crypt (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/common/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/poifs/crypt/agile/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/crypt/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.poifs.crypt</h1>
    <div class="docSummary">
        <div class="block">Implementation of the ECMA-376 and MS-propritary document encryptions</div>
    </div>
    <p>See:&nbsp;<a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfoBuilder.html"
                                            title="interface in org.apache.poi.poifs.crypt">EncryptionInfoBuilder</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/poifs/crypt/ChunkedCipherInputStream.html"
                            title="class in org.apache.poi.poifs.crypt">ChunkedCipherInputStream</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/poifs/crypt/ChunkedCipherOutputStream.html"
                            title="class in org.apache.poi.poifs.crypt">ChunkedCipherOutputStream</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/crypt/CryptoFunctions.html"
                                            title="class in org.apache.poi.poifs.crypt">CryptoFunctions</a></td>
                    <td class="colLast">
                        <div class="block">Helper functions used for standard and agile encryption</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/crypt/DataSpaceMapUtils.html"
                                            title="class in org.apache.poi.poifs.crypt">DataSpaceMapUtils</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/poifs/crypt/DataSpaceMapUtils.DataSpaceDefinition.html"
                            title="class in org.apache.poi.poifs.crypt">DataSpaceMapUtils.DataSpaceDefinition</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/poifs/crypt/DataSpaceMapUtils.DataSpaceMap.html"
                            title="class in org.apache.poi.poifs.crypt">DataSpaceMapUtils.DataSpaceMap</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/poifs/crypt/DataSpaceMapUtils.DataSpaceMapEntry.html"
                            title="class in org.apache.poi.poifs.crypt">DataSpaceMapUtils.DataSpaceMapEntry</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/poifs/crypt/DataSpaceMapUtils.DataSpaceVersionInfo.html"
                            title="class in org.apache.poi.poifs.crypt">DataSpaceMapUtils.DataSpaceVersionInfo</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/poifs/crypt/DataSpaceMapUtils.IRMDSTransformInfo.html"
                            title="class in org.apache.poi.poifs.crypt">DataSpaceMapUtils.IRMDSTransformInfo</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/poifs/crypt/DataSpaceMapUtils.TransformInfoHeader.html"
                            title="class in org.apache.poi.poifs.crypt">DataSpaceMapUtils.TransformInfoHeader</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/crypt/Decryptor.html"
                                            title="class in org.apache.poi.poifs.crypt">Decryptor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/crypt/EncryptionHeader.html"
                                            title="class in org.apache.poi.poifs.crypt">EncryptionHeader</a></td>
                    <td class="colLast">
                        <div class="block">Reads and processes OOXML Encryption Headers
                            The constants are largely based on ZIP constants.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/crypt/EncryptionInfo.html"
                                            title="class in org.apache.poi.poifs.crypt">EncryptionInfo</a></td>
                    <td class="colLast">
                        <div class="block">This class may require <code>poi-ooxml</code> to be on the classpath to load
                            some <a href="../../../../../org/apache/poi/poifs/crypt/EncryptionMode.html"
                                    title="enum in org.apache.poi.poifs.crypt"><code>EncryptionMode</code></a>s.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/crypt/EncryptionVerifier.html"
                                            title="class in org.apache.poi.poifs.crypt">EncryptionVerifier</a></td>
                    <td class="colLast">
                        <div class="block">Used when checking if a key is valid for a document</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/crypt/Encryptor.html"
                                            title="class in org.apache.poi.poifs.crypt">Encryptor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Enum Summary table, listing enums, and an explanation">
                <caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Enum</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/crypt/ChainingMode.html"
                                            title="enum in org.apache.poi.poifs.crypt">ChainingMode</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/crypt/CipherAlgorithm.html"
                                            title="enum in org.apache.poi.poifs.crypt">CipherAlgorithm</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/crypt/CipherProvider.html"
                                            title="enum in org.apache.poi.poifs.crypt">CipherProvider</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/crypt/EncryptionMode.html"
                                            title="enum in org.apache.poi.poifs.crypt">EncryptionMode</a></td>
                    <td class="colLast">
                        <div class="block">Office supports various encryption modes.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html"
                                            title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
    <a name="package.description">
        <!--   -->
    </a>
    <h2 title="Package org.apache.poi.poifs.crypt Description">Package org.apache.poi.poifs.crypt Description</h2>
    <div class="block">Implementation of the ECMA-376 and MS-propritary document encryptions<p>

        The implementation is split into the following packages:
        <p>

        <ul>
            <li>This package contains common functions for both current implemented cipher modes.</li>
            <li>the <a
                    href="../../../../../org/apache/poi/poifs/crypt/agile/package-summary.html"><code>agile</code></a>
                package is part of the poi ooxml jar and the provides agile encryption support.
            </li>
            <li>the <a
                    href="../../../../../org/apache/poi/poifs/crypt/binaryrc4/package-summary.html"><code>binaryrc</code></a>
                package is used for the fixed length RC4 encryption of biff/H**F formats
            </li>
            <li>the <a
                    href="../../../../../org/apache/poi/poifs/crypt/cryptoapi/package-summary.html"><code>cryptoapi</code></a>
                package is used for the variable length RC encryption of biff/H**F formats
            </li>
            <li>the <a
                    href="../../../../../org/apache/poi/poifs/crypt/standard/package-summary.html"><code>standard</code></a>
                package contains classes for the standard encryption ...
            </li>
            <li>the <a href="../../../../../org/apache/poi/poifs/crypt/xor/package-summary.html"><code>xor</code></a>
                package contains classes for the xor obfuscation of biff/H**F formats
            </li>
        </ul>
    </div>
    <dl>
        <dt><span class="seeLabel">See Also:</span></dt>
        <dd><a href="http://poi.apache.org/encryption.html">Apache POI - Encryption support</a>,
            <a href="http://msdn.microsoft.com/en-us/library/dd952186(v=office.12).aspx">ECMA-376 Document
                Encryption</a></dd>
    </dl>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/common/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/poifs/crypt/agile/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/crypt/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
